<mat-toolbar class="mat-elevation-z6" color="primary">
  <div class="flex justify-between items-center w-full">
    <app-logo></app-logo>
    @if (auth.currentUser) {
      <button mat-flat-button (click)="signout$.set('dashboard')">Logout</button>
    } @else {
      <div class="flex gap-3">
        <button mat-stroked-button routerLink="auth/login">Login</button>
        <button mat-flat-button routerLink="auth/register">Register</button>
      </div>
    }
  </div>
</mat-toolbar>
